<?xml version="1.0" encoding="UTF-8"?>
<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <section id="refilo_catalog" translate="label" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
        <class>separator-top</class>
        <label>Catalog</label>
        <tab>refilo</tab>
        <resource>FiloBlu_Refilo::refilo_config</resource>
        <group id="general" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>General</label>
            <field id="no_seo_friendly_urls" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Not SEO Friendly URLs</label>
            </field>
            <field id="hide_price" translate="label" type="select" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Hide Price</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="disable_shop" translate="label" type="select" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Disable Shop</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="vat_label" translate="label" type="text" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>VAT Label</label>
            </field>
            <field id="cart_vat_label" translate="label" type="text" sortOrder="41" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Cart VAT Label</label>
            </field>
            <field id="shipping_returns_info" translate="label" type="editor" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Shipping Return Info</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
            <field id="customer_care_info" translate="label" type="editor" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Customer Care Info</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
            <field id="override_product_helper" translate="label" type="select" sortOrder="70" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Overrive Product Attribute Helper</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                <comment>Temporary fix MNTFOS-663 - Beehive Product Indexer needed to be effective</comment>
            </field>
        </group>
        <group id="categories" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Categories</label>
            <field id="breadcrumbs_only_active_category" translate="label" type="select" sortOrder="5" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Show only active categorie in breadcrumbs</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
            <field id="pagination_param" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Pagination Param</label>
            </field>
            <field id="show_filter_count" translate="label" type="select" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Show filter count</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
            <field id="sort_filter_name" translate="label" type="text" sortOrder="25" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Sort Filter Name</label>
            </field>
            <field id="multiple_filter_divider" translate="label" type="text" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Multiple Filter Divider</label>
            </field>
            <field id="history_pagination_push" translate="label" type="select" sortOrder="35" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>History Pagination Push</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="history_filter_push" translate="label" type="select" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>History Filter Push</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="price_filter_name" translate="label" type="text" sortOrder="45" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Price Filter Name</label>
            </field>
            <field id="price_filter_render" translate="label" type="text" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Price Filter Render</label>
                <comment>checkbox - slider</comment>
            </field>
            <field id="price_filter_strategy" translate="label comment" type="select" sortOrder="53" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Price Filter Strategy</label>
                <source_model>FiloBlu\Refilo\Model\Config\Source\PriceFilterStrategy</source_model>
                <validate>required-entry</validate>
            </field>
            <field id="price_filterable_step_range" translate="label" type="text" sortOrder="55" showInDefault="1" showInWebsite="1" showInStore="1">
                <validate>required-entry no-whitespace integer</validate>
                <label>Price Filterable Step Range</label>
                <depends>
                    <field id="refilo_catalog/categories/price_filter_strategy">automaticStepRange</field>
                </depends>
            </field>
            <field id="price_filterable_steps" translate="label" sortOrder="57" showInDefault="1" showInStore="1" showInWebsite="1">
                <label>Price Filter Steps</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\PriceFilterSteps</frontend_model>
                <backend_model>Magento\Config\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
                <depends>
                    <field id="refilo_catalog/categories/price_filter_strategy">customSteps</field>
                </depends>
            </field>
            <field id="price_filterable_price_range" translate="label" type="text" sortOrder="59" showInDefault="1" showInWebsite="1" showInStore="1">
                <validate>required-entry no-whitespace integer</validate>
                <label>Price Filterable Price Range</label>
                <depends>
                    <field id="refilo_catalog/categories/price_filter_strategy">automaticPriceRange</field>
                </depends>
            </field>
            <field id="pagination_mapping" translate="label comment" type="select" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Pagination Mapping</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\PaginationMapping</frontend_model>
                <backend_model>FiloBlu\Refilo\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
            </field>
            <field id="enable_macro_categories" translate="label" type="select" sortOrder="65" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Enable Macro Category For Category WIth Children</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="load_all_previous_products" translate="label" type="select" sortOrder="70" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Load All Previous Product</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="refilo_children_categories_default" translate="label" type="select" sortOrder="70" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Default value for children categories</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
            <field id="refilo_siblings_categories_default" translate="label" type="select" sortOrder="70" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Default value for sibling categories</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
        </group>
        <group id="products" translate="label" type="text" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Products</label>
            <field id="sales_rule_price_rouding" translate="label" type="select" sortOrder="5" showInDefault="1">
                <label>Use price custom rounding</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
            <field id="sales_rule_price_rouding_decimal" translate="label" type="text" sortOrder="10" showInDefault="1">
                <label>Number of decimals</label>
                <validate>no-whitespace</validate>
                <depends>
                    <field id="refilo_catalog/products/sales_rule_price_rouding">1</field>
                </depends>
            </field>
            <field id="sales_rule_price_rouding_strategy" translate="label" type="select" sortOrder="10" showInDefault="1">
                <label>Rounding strategy</label>
                <source_model>FiloBlu\Refilo\Model\Config\Source\RoundingStrategy</source_model>
                <validate>required-entry</validate>
                <depends>
                    <field id="refilo_catalog/products/sales_rule_price_rouding">1</field>
                </depends>
            </field>

            <field id="image_size_width" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Image Width</label>
            </field>
            <field id="image_size_height" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Image Height</label>
            </field>
            <field id="use_demo_placeholder" translate="label" type="select" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Use Demo Placeholder</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="enable_expand" translate="label" type="select" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Expand Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="expand_limit_options" translate="label" type="text" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Expand Limit Options</label>
            </field>
            <field id="visible_height" translate="label" type="text" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Visible Height</label>
            </field>
            <field id="enable_product_compare" translate="label" type="select" sortOrder="70" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Product Comparaison Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="max_comparable_products" translate="label" type="text" sortOrder="80" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Max Comparable Products</label>
                <depends>
                    <field id="enable_product_compare">1</field>
                </depends>
            </field>
            <field id="comparable_attributes" translate="label" type="text" sortOrder="90" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Comparable Attributes</label>
                <depends>
                    <field id="enable_product_compare">1</field>
                </depends>
                <comment>Please check if all these attributes are comparable, otherwise won't be exported on storefront</comment>
            </field>
            <field id="enable_recently_viewed_products" translate="label" type="select" sortOrder="100" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Recently Viewed Products Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="max_recently_viewed_products" translate="label" type="text" sortOrder="110" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Max Recently Viewed Products</label>
            </field>
        </group>
        <group id="target_rule" translate="label" type="text" sortOrder="40" showInDefault="1" showInWebsite="0" showInStore="0">
            <label>Target Rule</label>
            <field id="override_limit_enabled" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Enable Override Limit</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                <comment>Enable target rule limit override. (More than 20)</comment>
            </field>
            <field id="override_limit" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Override Limit</label>
                <depends>
                    <field id="refilo_catalog/target_rule/override_limit_enabled">1</field>
                </depends>
                <validate>required-entry validate-digits</validate>
            </field>
            <field id="trigger_beehive_enabled" translate="label" type="select" sortOrder="30" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Enable Trigger Beehive Related</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                <comment>Enable trigger beehive related on rule save</comment>
            </field>
        </group>
    </section>
</include>
